### Method

# EBookContacts VCard append_attribute_with_values

since: 2.32

#### Declaration [src]

    void
    e_vcard_append_attribute_with_values (
      EVCard* evcard,
      EVCardAttribute* attr,
      ...
    )

#### Description [src]

Appends `attr` to `evcard`, assigning the list of values to it. This takes ownership of `attr`.

This is a convenience wrapper around `e_vcard_attribute_add_value()` and e_vcard_append_attribute().

Available since: 2.32

This method is not directly available to language bindings.

#### Parameters

`attr`

  Type: `EVCardAttribute`

  An `EVCardAttribute` to append.

  The instance takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  A `NULL`-terminated list of values to assign to the attribute.